org.apache.avro

## Class Schema.SeenPair

- java.lang.Object
- - org.apache.avro.Schema.SeenPair

Enclosing class:
  Schema

    public static class Schema.SeenPair
    extends Object

Useful as key of `Map`s when traversing two schemas at the same time and need to watch for recursion.

### Constructor Summary

Constructors
Constructor and Description
`SeenPair(Object s1, Object s2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SeenPair

    public SeenPair(Object s1,
                    Object s2)

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`